Package ru.bitel.bgbilling.kernel.contract.label.common.bean

# Enum Class ContractLabelType

java.lang.Object
java.lang.Enum<ContractLabelType>
ru.bitel.bgbilling.kernel.contract.label.common.bean.ContractLabelType

All Implemented Interfaces:
  `Serializable`, `Comparable<ContractLabelType>`, `Constable`

public enum ContractLabelType extends Enum<ContractLabelType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GROUP`
  Корневая категория групп
  `GROUP_ITEM`
  Группа
  `LABEL`
  Корневая категория меток
  `LABEL_ITEM`
  Метка

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractLabelType`
  `getType(int ordinal)`
  `static ContractLabelType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ContractLabelType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GROUP

    public static final ContractLabelType GROUP
    Корневая категория групп

  - ### GROUP_ITEM

    public static final ContractLabelType GROUP_ITEM
    Группа

  - ### LABEL

    public static final ContractLabelType LABEL
    Корневая категория меток

  - ### LABEL_ITEM

    public static final ContractLabelType LABEL_ITEM
    Метка

- ## Method Details

  - ### values

    public static ContractLabelType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ContractLabelType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public static ContractLabelType getType(int ordinal)